#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	desktop-file-utils
Version		:	0.26
Release		:	17.0.10.rel%{?dist}
Summary		:	Desktop copmmand line utilities
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://www.freedesktop.org/software/desktop-file-utils/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	gcc
Buildrequires	:	glib-devel
Buildrequires	:	emacs
Buildrequires	:	meson
#-----------------------------------------------------------------------------
%description
'%{name}' contains a few command line utilities for working
with desktop entries.
These utilities are used by Desktop Environments and other applications
to manipulate the MIME-types application databases and help adhere to
the Desktop Entry Specification. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/desktop-*
%{_bindir}/update-desktop-database
%{_datadir}/emacs/site-lisp/desktop-entry-mode.el*
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

#-----------------------------------------------------------------------------
%changelog
